import time

from aiohttp import web

from . import log
from .app import create_app


def serve(host="0.0.0.0", port=8888):
    app = create_app()
    log.info(f"Serving on {host}:{port}")
    while True:
        try:
            web.run_app(app, host=host, port=port)
        except KeyboardInterrupt:
            break
        except Exception as ex:
            log.exception(ex)
            log.error("Server crashed. Waiting one second before reboot")
            time.sleep(1)
